OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_Delta Class Reference

A delta set is available at <asourcetime>. If
applied, it restores the TDF_Data in the state it
was at <atargettime>.
.

`#include <TDF_Delta.hxx>`

Inheritance diagram for TDF_Delta:

[legend]

## Public Member Functions
Standard_EXPORT | TDF_Delta ()
| Creates a delta. .
Standard_Boolean | IsEmpty () const
| Returns true if there is nothing to undo. .
Standard_Boolean | IsApplicable (const Standard_Integer aCurrentTime) const
| Returns true if the Undo action of <me> is applicable at <acurrenttime>. .
Standard_Integer | BeginTime () const
| Returns the field <mybegintime>. .
Standard_Integer | EndTime () const
| Returns the field <myendtime>. .
Standard_EXPORT void | Labels (TDF_LabelList &aLabelList) const
| Adds in <alabellist> the labels of the attribute deltas. Caution: <alabellist> is not cleared before use. .
const TDF_AttributeDeltaList & | AttributeDeltas () const
| Returns the field <myattdeltalist>. .
TCollection_ExtendedString | Name () const
| Returns a name associated with this delta. .
void | SetName (const TCollection_ExtendedString &theName)
| Associates a name <thename> with this delta .
Standard_EXPORT void | Dump (Standard_OStream &OS) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
Standard_EXPORT void | Validity (const Standard_Integer aBeginTime, const Standard_Integer anEndTime)
| Validates <me> at <abegintime>. If applied, it restores the TDF_Data in the state it was at <anendtime>. Reserved to TDF_Data. .
Standard_EXPORT void | AddAttributeDelta (const Handle(TDF_AttributeDelta)&anAttributeDelta)
| Adds an AttributeDelta to the list. Reserved to TDF_Data. .
## Private Member Functions
Standard_EXPORT void | BeforeOrAfterApply (const Standard_Boolean before) const
Standard_EXPORT void | Apply ()
## Private Attributes
Standard_Integer | myBeginTime
Standard_Integer | myEndTime
TDF_AttributeDeltaList | myAttDeltaList
TCollection_ExtendedString | myName

## Constructor & Destructor Documentation

Standard_EXPORT TDF_Delta::TDF_Delta | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TDF_Delta::AddAttributeDelta | ( | const Handle(TDF_AttributeDelta)& | anAttributeDelta | ) | `[protected]`

Standard_EXPORT void TDF_Delta::Apply | ( |  | ) | `[private]`

const TDF_AttributeDeltaList & TDF_Delta::AttributeDeltas | ( |  | ) | const`[inline]`

Standard_EXPORT void TDF_Delta::BeforeOrAfterApply | ( | const Standard_Boolean | before | ) | const`[private]`

Standard_Integer TDF_Delta::BeginTime | ( |  | ) | const`[inline]`

Standard_EXPORT void TDF_Delta::Dump | ( | Standard_OStream & | OS | ) | const

Standard_Integer TDF_Delta::EndTime | ( |  | ) | const`[inline]`

Standard_EXPORT const TDF_Delta::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in TDocStd_CompoundDelta.

Standard_Boolean TDF_Delta::IsApplicable | ( | const Standard_Integer | aCurrentTime | ) | const`[inline]`

Standard_Boolean TDF_Delta::IsEmpty | ( |  | ) | const`[inline]`

Standard_EXPORT void TDF_Delta::Labels | ( | TDF_LabelList & | aLabelList | ) | const

TCollection_ExtendedString TDF_Delta::Name | ( |  | ) | const`[inline]`

void TDF_Delta::SetName | ( | const TCollection_ExtendedString & | theName | ) | `[inline]`

Standard_EXPORT void TDF_Delta::Validity | ( | const Standard_Integer | aBeginTime,
|  | const Standard_Integer | anEndTime
| ) | `[protected]`

## Field Documentation

TDF_AttributeDeltaList TDF_Delta::myAttDeltaList`[private]`

Standard_Integer TDF_Delta::myBeginTime`[private]`

Standard_Integer TDF_Delta::myEndTime`[private]`

TCollection_ExtendedString TDF_Delta::myName`[private]`

The documentation for this class was generated from the following files:

- TDF_Delta.hxx
- TDF_Delta.lxx